## DzlProgressButton

DzlProgressButton

## Functions

GtkWidget * | dzl_progress_button_new ()
guint | dzl_progress_button_get_progress ()
void | dzl_progress_button_set_progress ()
gboolean | dzl_progress_button_get_show_progress ()
void | dzl_progress_button_set_show_progress ()

## Properties

guint | progress | Read / Write
gboolean | show-progress | Read / Write

## Types and Values

#define | DZL_TYPE_PROGRESS_BUTTON
struct | DzlProgressButtonClass
| DzlProgressButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkButton
                            ╰── DzlProgressButton

## Implemented Interfaces

DzlProgressButton implements AtkImplementorIface, GtkBuildable, GtkActionable and GtkActivatable.

## Description

## Functions

### dzl_progress_button_new ()

    GtkWidget *
    dzl_progress_button_new (void);

### dzl_progress_button_get_progress ()

    guint
    dzl_progress_button_get_progress (DzlProgressButton *self);

### dzl_progress_button_set_progress ()

    void
    dzl_progress_button_set_progress (DzlProgressButton *button,
                                      guint percentage);

### dzl_progress_button_get_show_progress ()

    gboolean
    dzl_progress_button_get_show_progress (DzlProgressButton *self);

### dzl_progress_button_set_show_progress ()

    void
    dzl_progress_button_set_show_progress (DzlProgressButton *button,
                                           gboolean show_progress);

## Types and Values

### DZL_TYPE_PROGRESS_BUTTON

    #define DZL_TYPE_PROGRESS_BUTTON (dzl_progress_button_get_type ())

### struct DzlProgressButtonClass

    struct DzlProgressButtonClass {
      GtkButtonClass parent_class;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
    };

### DzlProgressButton

    typedef struct _DzlProgressButton DzlProgressButton;

## Property Details

### The `“progress”` property

      “progress”                 guint

Owner: DzlProgressButton

Flags: Read / Write

Allowed values: <= 100

Default value: 0

### The `“show-progress”` property

      “show-progress”            gboolean

Owner: DzlProgressButton

Flags: Read / Write

Default value: FALSE